Udostępnij za pośrednictwem


Api - Create Or Update

Tworzy nowy lub aktualizuje istniejący określony interfejs API wystąpienia usługi API Management.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/apis/{apiId}?api-version=2025-03-01-preview

Parametry identyfikatora URI

Nazwa W Wymagane Typ Opis
apiId
path True

string

minLength: 1
maxLength: 80
pattern: ^[^*#&+:<>?]+$

Identyfikator wersji interfejsu API. Musi być unikatowy w bieżącym wystąpieniu usługi API Management. Wersja nieaktualna ma ; rev=n jako sufiks, gdzie n jest numerem wersji.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Nazwa grupy zasobów. Nazwa jest niewrażliwa na wielkość liter.

serviceName
path True

string

minLength: 1
maxLength: 50
pattern: ^[a-zA-Z](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?$

Nazwa usługi API Management.

subscriptionId
path True

string

minLength: 1

Identyfikator subskrypcji docelowej.

api-version
query True

string

minLength: 1

Wersja interfejsu API do użycia dla tej operacji.

Nagłówek żądania

Nazwa Wymagane Typ Opis
If-Match

string

Element ETag jednostki. Nie jest to wymagane podczas tworzenia encji, ale wymagane podczas aktualizowania jednostki.

Treść żądania

Nazwa Wymagane Typ Opis
properties.path True

string

minLength: 0
maxLength: 400

Względny adres URL jednoznacznie identyfikujący ten interfejs API i wszystkie jego ścieżki zasobów w wystąpieniu usługi API Management. Jest on dołączany do podstawowego adresu URL punktu końcowego interfejsu API określonego podczas tworzenia wystąpienia usługi w celu utworzenia publicznego adresu URL tego interfejsu API.

apiRevision

string

minLength: 1
maxLength: 100

Opisuje poprawkę interfejsu API. Jeśli nie podano żadnej wartości, zostanie utworzona domyślna wersja 1

apiRevisionDescription

string

maxLength: 256

Opis poprawki interfejsu API.

apiVersion

string

maxLength: 100

Wskazuje identyfikator wersji interfejsu API, jeśli interfejs API jest w wersji

apiVersionDescription

string

maxLength: 256

Opis wersji interfejsu API.

apiVersionSetId

string

Identyfikator zasobu powiązanego elementu ApiVersionSet.

authenticationSettings

AuthenticationSettingsContract

Kolekcja ustawień uwierzytelniania uwzględnionych w tym interfejsie API.

contact

ApiContactInformation

Informacje kontaktowe dotyczące interfejsu API.

description

string

Opis interfejsu API. Może zawierać tagi formatowania HTML.

isCurrent

boolean

Wskazuje, czy poprawka interfejsu API jest bieżącą poprawką interfejsu API.

license

ApiLicenseInformation

Informacje o licencji dla interfejsu API.

properties.apiType

SoapApiType

Typ interfejsu API do utworzenia.

  • http tworzy interfejs API REST
  • soap tworzy interfejs API przekazujący protokół SOAP
  • websocket tworzy interfejs API protokołu websocket
  • graphql tworzy API GraphQL. Nowe typy można dodawać w przyszłości.
properties.apiVersionSet

ApiVersionSetContractDetails

Szczegóły zestawu wersji

properties.displayName

string

minLength: 1
maxLength: 300

Nazwa interfejsu API. Musi mieć długość od 1 do 300 znaków.

properties.format

ContentFormat

Format zawartości, w której jest importowany interfejs API. Nowe formaty można dodawać w przyszłości

properties.protocols

Protocol[]

Opisuje, które protokoły mogą być wywoływane operacje w tym interfejsie API.

properties.serviceUrl

string

minLength: 0
maxLength: 2000

Bezwzględny adres URL usługi zaplecza implementowania tego interfejsu API. Długość nie może przekraczać 2000 znaków.

properties.sourceApiId

string

Identyfikator interfejsu API źródłowego interfejsu API.

properties.translateRequiredQueryParameters

TranslateRequiredQueryParametersConduct

Strategia tłumaczenia wymaganych parametrów zapytania na szablony. Domyślnie ma wartość "template". Możliwe wartości: "template", "query"

properties.value

string

Wartość zawartości podczas importowania interfejsu API.

properties.wsdlSelector

ApiCreateOrUpdatePropertiesWsdlSelector

Kryteria ograniczania importu WSDL do podzestawu dokumentu.

subscriptionKeyParameterNames

SubscriptionKeyParameterNamesContract

Protokoły, za pośrednictwem których udostępniono interfejs API.

subscriptionRequired

boolean

Określa, czy do uzyskiwania dostępu do interfejsu API jest wymagana subskrypcja interfejsu API lub produktu.

termsOfServiceUrl

string

Adres URL warunków użytkowania usługi dla interfejsu API. MUSI być w formacie adresu URL.

type

ApiType

Typ interfejsu API.

Odpowiedzi

Nazwa Typ Opis
200 OK

ApiContract

Żądanie zakończyło się pomyślnie.

Nagłówki

  • Azure-AsyncOperation: string
  • ETag: string
  • location: string
201 Created

ApiContract

Żądanie zakończyło się pomyślnie i w rezultacie został utworzony nowy zasób.

Nagłówki

  • Azure-AsyncOperation: string
  • ETag: string
  • location: string
Other Status Codes

ErrorResponse

Nieoczekiwana odpowiedź na błąd.

Zabezpieczenia

azure_auth

Przepływ protokołu OAuth2 usługi Azure Active Directory.

Typ: oauth2
Flow: implicit
Adres URL autoryzacji: https://login.microsoftonline.com/common/oauth2/authorize

Zakresy

Nazwa Opis
user_impersonation personifikacja konta użytkownika

Przykłady

ApiManagementCreateApi
ApiManagementCreateApiClone
ApiManagementCreateApiNewVersionUsingExistingApi
ApiManagementCreateApiRevisionFromExistingApi
ApiManagementCreateApiUsingImportOverrideServiceUrl
ApiManagementCreateApiUsingOai3Import
ApiManagementCreateApiUsingOai3ImportWithTranslateRequiredQueryParametersConduct
ApiManagementCreateApiUsingSwaggerImport
ApiManagementCreateApiUsingWadlImport
ApiManagementCreateApiWithMultipleAuthServers
ApiManagementCreateApiWithMultipleOpenIdConnectProviders
ApiManagementCreateApiWithOpenIdConnect
ApiManagementCreateGraphQLApi
ApiManagementCreateGrpcApi
ApiManagementCreateODataApi
ApiManagementCreateSoapPassThroughApiUsingWsdlImport
ApiManagementCreateSoapToRestApiUsingWsdlImport
ApiManagementCreateWebSocketApi

ApiManagementCreateApi

Przykładowe żądanie

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      }
    },
    "displayName": "apiname1463",
    "protocols": [
      "https",
      "http"
    ],
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

Przykładowa odpowiedź

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      },
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        }
      ]
    },
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      },
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        }
      ]
    },
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

ApiManagementCreateApiClone

Przykładowe żądanie

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api2?api-version=2025-03-01-preview

{
  "properties": {
    "path": "echo2",
    "description": "Copy of Existing Echo Api including Operations.",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58a4aeac497000007d040001",
    "subscriptionRequired": true
  }
}

Przykładowa odpowiedź

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "echoapi2",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapi2",
  "properties": {
    "path": "echo2",
    "description": "Copy of Existing Echo Api including Operations.",
    "apiRevision": "1",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "echoapi2",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapi2",
  "properties": {
    "path": "echo2",
    "description": "Copy of Existing Echo Api including Operations.",
    "apiRevision": "1",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}

ApiManagementCreateApiNewVersionUsingExistingApi

Przykładowe żądanie

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3?api-version=2025-03-01-preview

{
  "properties": {
    "path": "echo2",
    "description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
    "apiVersion": "v4",
    "apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoPath",
    "subscriptionRequired": true
  }
}

Przykładowa odpowiedź

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "echoapiv3",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3",
  "properties": {
    "path": "echo2",
    "description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
    "apiRevision": "1",
    "apiVersion": "v4",
    "apiVersionSet": {
      "name": "Echo API2",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
      "versioningScheme": "Segment"
    },
    "apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "echoapiv3",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3",
  "properties": {
    "path": "echo2",
    "description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
    "apiRevision": "1",
    "apiVersion": "v4",
    "apiVersionSet": {
      "name": "Echo API2",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
      "versioningScheme": "Segment"
    },
    "apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
    "displayName": "Echo API2",
    "isCurrent": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}

ApiManagementCreateApiRevisionFromExistingApi

Przykładowe żądanie

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3?api-version=2025-03-01-preview

{
  "properties": {
    "path": "echo",
    "apiRevisionDescription": "Creating a Revision of an existing API",
    "serviceUrl": "http://echoapi.cloudapp.net/apiv3",
    "sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api"
  }
}

Przykładowa odpowiedź

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "echo-api;rev=3",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3",
  "properties": {
    "path": "echo",
    "apiRevision": "3",
    "apiRevisionDescription": "Creating a Revision of an existing API",
    "displayName": "Echo API",
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/apiv3",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "echo-api;rev=3",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3",
  "properties": {
    "path": "echo",
    "apiRevision": "3",
    "apiRevisionDescription": "Creating a Revision of an existing API",
    "displayName": "Echo API",
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://echoapi.cloudapp.net/apiv3",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    },
    "subscriptionRequired": true
  }
}

ApiManagementCreateApiUsingImportOverrideServiceUrl

Przykładowe żądanie

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview

{
  "properties": {
    "format": "swagger-link",
    "path": "petstoreapi123",
    "serviceUrl": "http://petstore.swagger.wordnik.com/api",
    "value": "http://apimpimportviaurl.azurewebsites.net/api/apidocs/"
  }
}

Przykładowa odpowiedź

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apidocs",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs",
  "properties": {
    "path": "petstoreapi123",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger \n    at <a href=\"http://swagger.wordnik.com\">http://swagger.wordnik.com</a> or on irc.freenode.net, #swagger.  For this sample,\n    you can use the api key \"special-key\" to test the authorization filters",
    "apiRevision": "1",
    "displayName": "Swagger Sample App",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.wordnik.com/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apidocs",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs",
  "properties": {
    "path": "petstoreapi123",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger \n    at <a href=\"http://swagger.wordnik.com\">http://swagger.wordnik.com</a> or on irc.freenode.net, #swagger.  For this sample,\n    you can use the api key \"special-key\" to test the authorization filters",
    "apiRevision": "1",
    "displayName": "Swagger Sample App",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.wordnik.com/api",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiUsingOai3Import

Przykładowe żądanie

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview

{
  "properties": {
    "format": "openapi-link",
    "path": "petstore",
    "value": "https://raw.githubusercontent.com/OAI/OpenAPI-Specification/master/examples/v3.0/petstore.yaml"
  }
}

Przykładowa odpowiedź

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiUsingOai3ImportWithTranslateRequiredQueryParametersConduct

Przykładowe żądanie

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview

{
  "properties": {
    "format": "openapi-link",
    "path": "petstore",
    "translateRequiredQueryParameters": "template",
    "value": "https://raw.githubusercontent.com/OAI/OpenAPI-Specification/master/examples/v3.0/petstore.yaml"
  }
}

Przykładowa odpowiedź

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v1",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiUsingSwaggerImport

Przykładowe żądanie

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview

{
  "properties": {
    "format": "swagger-link-json",
    "path": "petstore",
    "value": "http://petstore.swagger.io/v2/swagger.json"
  }
}

Przykładowa odpowiedź

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "http"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "petstoreapi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "apiRevision": "1",
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "http"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiUsingWadlImport

Przykładowe żądanie

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview

{
  "properties": {
    "format": "wadl-link-json",
    "path": "collector",
    "value": "https://developer.cisco.com/media/wae-release-6-2-api-reference/wae-collector-rest-api/application.wadl"
  }
}

Przykładowa odpowiedź

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "collectorwadl",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/collectorwadl",
  "properties": {
    "path": "collector",
    "description": "",
    "apiRevision": "1",
    "displayName": "http://localhost:8080/collector-northbound",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://localhost:8080/collector-northbound",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "collectorwadl",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/collectorwadl",
  "properties": {
    "path": "collector",
    "description": "",
    "apiRevision": "1",
    "displayName": "http://localhost:8080/collector-northbound",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://localhost:8080/collector-northbound",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateApiWithMultipleAuthServers

Przykładowe żądanie

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "authenticationSettings": {
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        },
        {
          "authorizationServerId": "authorizationServerId2284",
          "scope": "oauth2scope2581"
        }
      ]
    },
    "displayName": "apiname1463",
    "protocols": [
      "https",
      "http"
    ],
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

Przykładowa odpowiedź

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": {
      "oAuth2": {
        "authorizationServerId": "authorizationServerId2283",
        "scope": "oauth2scope2580"
      },
      "oAuth2AuthenticationSettings": [
        {
          "authorizationServerId": "authorizationServerId2283",
          "scope": "oauth2scope2580"
        },
        {
          "authorizationServerId": "authorizationServerId2284",
          "scope": "oauth2scope2581"
        }
      ]
    },
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

ApiManagementCreateApiWithMultipleOpenIdConnectProviders

Przykładowe żądanie

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "authenticationSettings": {
      "openidAuthenticationSettings": [
        {
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ],
          "openidProviderId": "openidProviderId2283"
        },
        {
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ],
          "openidProviderId": "openidProviderId2284"
        }
      ]
    },
    "displayName": "apiname1463",
    "protocols": [
      "https",
      "http"
    ],
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

Przykładowa odpowiedź

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": {
      "openid": {
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ],
        "openidProviderId": "openidProviderId2283"
      },
      "openidAuthenticationSettings": [
        {
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ],
          "openidProviderId": "openidProviderId2283"
        },
        {
          "bearerTokenSendingMethods": [
            "authorizationHeader"
          ],
          "openidProviderId": "openidProviderId2284"
        }
      ]
    },
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://newechoapi.cloudapp.net/api",
    "subscriptionKeyParameterNames": {
      "header": "header4520",
      "query": "query3037"
    }
  }
}

ApiManagementCreateApiWithOpenIdConnect

Przykładowe żądanie

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "authenticationSettings": {
      "openid": {
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ],
        "openidProviderId": "testopenid"
      }
    },
    "displayName": "Swagger Petstore",
    "protocols": [
      "https"
    ],
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

Przykładowa odpowiedź

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "58da4c4ccdae970a08121230",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58da4c4ccdae970a08121230",
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "apiRevision": "1",
    "authenticationSettings": {
      "openid": {
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ],
        "openidProviderId": "testopenid"
      }
    },
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "58da4c4ccdae970a08121230",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58da4c4ccdae970a08121230",
  "properties": {
    "path": "petstore",
    "description": "This is a sample server Petstore server.  You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/).  For this sample, you can use the api key `special-key` to test the authorization filters.",
    "apiRevision": "1",
    "authenticationSettings": {
      "openid": {
        "bearerTokenSendingMethods": [
          "authorizationHeader"
        ],
        "openidProviderId": "testopenid"
      }
    },
    "displayName": "Swagger Petstore",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://petstore.swagger.io/v2",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateGraphQLApi

Przykładowe żądanie

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "type": "graphql",
    "path": "graphql-api",
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "protocols": [
      "http",
      "https"
    ],
    "serviceUrl": "https://api.spacex.land/graphql"
  }
}

Przykładowa odpowiedź

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "graphql",
    "path": "graphql-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "https://api.spacex.land/graphql",
    "subscriptionKeyParameterNames": null
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "graphql",
    "path": "graphql-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "https",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "https://api.spacex.land/graphql",
    "subscriptionKeyParameterNames": null
  }
}

ApiManagementCreateGrpcApi

Przykładowe żądanie

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "type": "grpc",
    "format": "grpc-link",
    "path": "grpc-api",
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "protocols": [
      "https"
    ],
    "serviceUrl": "https://your-api-hostname/samples",
    "value": "https://raw.githubusercontent.com/kedacore/keda/main/pkg/scalers/externalscaler/externalscaler.proto"
  }
}

Przykładowa odpowiedź

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "grpc",
    "path": "grpc-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "https"
    ],
    "serviceUrl": "https://your-api-hostname/samples",
    "subscriptionKeyParameterNames": null
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "grpc",
    "path": "grpc-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "https"
    ],
    "serviceUrl": "https://your-api-hostname/samples",
    "subscriptionKeyParameterNames": null
  }
}

ApiManagementCreateODataApi

Przykładowe żądanie

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "type": "odata",
    "format": "odata-link",
    "path": "odata-api",
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "protocols": [
      "http",
      "https"
    ],
    "serviceUrl": "https://services.odata.org/TripPinWebApiService",
    "value": "https://services.odata.org/TripPinWebApiService/$metadata"
  }
}

Przykładowa odpowiedź

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "odata",
    "path": "odata-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "https://services.odata.org/TripPinWebApiService",
    "subscriptionKeyParameterNames": null
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "odata",
    "path": "odata-api",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "http",
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "https://services.odata.org/TripPinWebApiService",
    "subscriptionKeyParameterNames": null
  }
}

ApiManagementCreateSoapPassThroughApiUsingWsdlImport

Przykładowe żądanie

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi?api-version=2025-03-01-preview

{
  "properties": {
    "format": "wsdl-link",
    "path": "currency",
    "apiType": "soap",
    "value": "http://www.webservicex.net/CurrencyConvertor.asmx?WSDL",
    "wsdlSelector": {
      "wsdlEndpointName": "CurrencyConvertorSoap",
      "wsdlServiceName": "CurrencyConvertor"
    }
  }
}

Przykładowa odpowiedź

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "properties": {
    "type": "soap",
    "path": "currency",
    "apiRevision": "1",
    "displayName": "CurrencyConvertor",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://www.webservicex.net",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "properties": {
    "type": "soap",
    "path": "currency",
    "apiRevision": "1",
    "displayName": "CurrencyConvertor",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://www.webservicex.net",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateSoapToRestApiUsingWsdlImport

Przykładowe żądanie

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi?api-version=2025-03-01-preview

{
  "properties": {
    "format": "wsdl-link",
    "path": "currency",
    "value": "http://www.webservicex.net/CurrencyConvertor.asmx?WSDL",
    "wsdlSelector": {
      "wsdlEndpointName": "CurrencyConvertorSoap",
      "wsdlServiceName": "CurrencyConvertor"
    }
  }
}

Przykładowa odpowiedź

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "properties": {
    "path": "currency",
    "apiRevision": "1",
    "displayName": "CurrencyConvertor",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://www.webservicex.net",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "soapApi",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
  "properties": {
    "path": "currency",
    "apiRevision": "1",
    "displayName": "CurrencyConvertor",
    "isCurrent": true,
    "protocols": [
      "https"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "http://www.webservicex.net",
    "subscriptionKeyParameterNames": {
      "header": "Ocp-Apim-Subscription-Key",
      "query": "subscription-key"
    }
  }
}

ApiManagementCreateWebSocketApi

Przykładowe żądanie

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview

{
  "properties": {
    "type": "websocket",
    "path": "newapiPath",
    "description": "apidescription5200",
    "displayName": "apiname1463",
    "protocols": [
      "wss",
      "ws"
    ],
    "serviceUrl": "wss://echo.websocket.org"
  }
}

Przykładowa odpowiedź

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "websocket",
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "ws",
      "wss"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "wss://echo.websocket.org",
    "subscriptionKeyParameterNames": null
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
  "name": "apiid9419",
  "type": "Microsoft.ApiManagement/service/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
  "properties": {
    "type": "websocket",
    "path": "newapiPath",
    "description": "apidescription5200",
    "apiRevision": "1",
    "authenticationSettings": null,
    "displayName": "apiname1463",
    "isCurrent": true,
    "isOnline": true,
    "protocols": [
      "ws",
      "wss"
    ],
    "provisioningState": "InProgress",
    "serviceUrl": "wss://echo.websocket.org",
    "subscriptionKeyParameterNames": null
  }
}

Definicje

Nazwa Opis
ApiContactInformation

Informacje kontaktowe interfejsu API

ApiContract

Szczegóły interfejsu API.

ApiCreateOrUpdateParameter

Tworzenie lub aktualizowanie parametrów interfejsu API.

ApiCreateOrUpdatePropertiesWsdlSelector

Kryteria ograniczania importu WSDL do podzestawu dokumentu.

ApiLicenseInformation

Informacje o licencji API

ApiType

Typ interfejsu API.

ApiVersionSetContractDetails

Zestaw wersji interfejsu API zawiera wspólną konfigurację zestawu wersji interfejsu API dotyczących

AuthenticationSettingsContract

Ustawienia uwierzytelniania API.

BearerTokenSendingMethods

Formularz udzielenia autoryzacji, którego klient używa do żądania tokenu dostępu.

ContentFormat

Format zawartości, w której jest importowany interfejs API. Nowe formaty można dodawać w przyszłości

createdByType

Typ tożsamości, która utworzyła zasób.

ErrorAdditionalInfo

Dodatkowe informacje o błędzie zarządzania zasobami.

ErrorDetail

Szczegóły błędu.

ErrorResponse

Odpowiedź na błąd

OAuth2AuthenticationSettingsContract

Szczegóły ustawień uwierzytelniania OAuth2 interfejsu API.

OpenIdAuthenticationSettingsContract

Szczegóły ustawień uwierzytelniania OAuth2 interfejsu API.

Protocol
SoapApiType

Typ interfejsu API do utworzenia.

  • http tworzy interfejs API REST
  • soap tworzy interfejs API przekazujący protokół SOAP
  • websocket tworzy interfejs API protokołu websocket
  • graphql tworzy API GraphQL. Nowe typy można dodawać w przyszłości.
SubscriptionKeyParameterNamesContract

Szczegóły parametrów klucza subskrypcji.

systemData

Metadane dotyczące tworzenia i ostatniej modyfikacji zasobu.

TranslateRequiredQueryParametersConduct

Strategia tłumaczenia wymaganych parametrów zapytania na szablony. Domyślnie ma wartość "template". Możliwe wartości: "template", "query"

VersioningScheme

Wartość określająca, gdzie identyfikator wersji interfejsu API będzie znajdować się w żądaniu HTTP.

ApiContactInformation

Informacje kontaktowe interfejsu API

Nazwa Typ Opis
email

string

Adres e-mail osoby kontaktowej/organizacji. MUSI być w formacie adresu e-mail

name

string

Nazwa identyfikująca osoby kontaktowej/organizacji

url

string

Adres URL wskazujący informacje kontaktowe. MUSI być w formacie adresu URL

ApiContract

Szczegóły interfejsu API.

Nazwa Typ Opis
id

string

W pełni kwalifikowany identyfikator zasobu dla zasobu. Przykład - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

Nazwa zasobu

properties.apiRevision

string

minLength: 1
maxLength: 100

Opisuje poprawkę interfejsu API. Jeśli nie podano żadnej wartości, zostanie utworzona domyślna wersja 1

properties.apiRevisionDescription

string

maxLength: 256

Opis poprawki interfejsu API.

properties.apiVersion

string

maxLength: 100

Wskazuje identyfikator wersji interfejsu API, jeśli interfejs API jest w wersji

properties.apiVersionDescription

string

maxLength: 256

Opis wersji interfejsu API.

properties.apiVersionSet

ApiVersionSetContractDetails

Szczegóły zestawu wersji

properties.apiVersionSetId

string

Identyfikator zasobu powiązanego elementu ApiVersionSet.

properties.authenticationSettings

AuthenticationSettingsContract

Kolekcja ustawień uwierzytelniania uwzględnionych w tym interfejsie API.

properties.contact

ApiContactInformation

Informacje kontaktowe dotyczące interfejsu API.

properties.description

string

Opis interfejsu API. Może zawierać tagi formatowania HTML.

properties.displayName

string

minLength: 1
maxLength: 300

Nazwa interfejsu API. Musi mieć długość od 1 do 300 znaków.

properties.isCurrent

boolean

Wskazuje, czy poprawka interfejsu API jest bieżącą poprawką interfejsu API.

properties.isOnline

boolean

Wskazuje, czy wersja interfejsu API jest dostępna za pośrednictwem bramy.

properties.license

ApiLicenseInformation

Informacje o licencji dla interfejsu API.

properties.path

string

minLength: 0
maxLength: 400

Względny adres URL jednoznacznie identyfikujący ten interfejs API i wszystkie jego ścieżki zasobów w wystąpieniu usługi API Management. Jest on dołączany do podstawowego adresu URL punktu końcowego interfejsu API określonego podczas tworzenia wystąpienia usługi w celu utworzenia publicznego adresu URL tego interfejsu API.

properties.protocols

Protocol[]

Opisuje, które protokoły mogą być wywoływane operacje w tym interfejsie API.

properties.provisioningState

string

Stan aprowizacji

properties.serviceUrl

string

minLength: 0
maxLength: 2000

Bezwzględny adres URL usługi zaplecza implementowania tego interfejsu API. Długość nie może przekraczać 2000 znaków.

properties.sourceApiId

string

Identyfikator interfejsu API źródłowego interfejsu API.

properties.subscriptionKeyParameterNames

SubscriptionKeyParameterNamesContract

Protokoły, za pośrednictwem których udostępniono interfejs API.

properties.subscriptionRequired

boolean

Określa, czy do uzyskiwania dostępu do interfejsu API jest wymagana subskrypcja interfejsu API lub produktu.

properties.termsOfServiceUrl

string

Adres URL warunków użytkowania usługi dla interfejsu API. MUSI być w formacie adresu URL.

properties.type

ApiType

Typ interfejsu API.

systemData

systemData

Metadane usługi Azure Resource Manager zawierające informacje „createdBy” i „modifiedBy”.

type

string

Typ zasobu. Np. "Microsoft.Compute/virtualMachines" lub "Microsoft.Storage/storageAccounts"

ApiCreateOrUpdateParameter

Tworzenie lub aktualizowanie parametrów interfejsu API.

Nazwa Typ Opis
apiRevision

string

minLength: 1
maxLength: 100

Opisuje poprawkę interfejsu API. Jeśli nie podano żadnej wartości, zostanie utworzona domyślna wersja 1

apiRevisionDescription

string

maxLength: 256

Opis poprawki interfejsu API.

apiVersion

string

maxLength: 100

Wskazuje identyfikator wersji interfejsu API, jeśli interfejs API jest w wersji

apiVersionDescription

string

maxLength: 256

Opis wersji interfejsu API.

apiVersionSetId

string

Identyfikator zasobu powiązanego elementu ApiVersionSet.

authenticationSettings

AuthenticationSettingsContract

Kolekcja ustawień uwierzytelniania uwzględnionych w tym interfejsie API.

contact

ApiContactInformation

Informacje kontaktowe dotyczące interfejsu API.

description

string

Opis interfejsu API. Może zawierać tagi formatowania HTML.

isCurrent

boolean

Wskazuje, czy poprawka interfejsu API jest bieżącą poprawką interfejsu API.

isOnline

boolean

Wskazuje, czy wersja interfejsu API jest dostępna za pośrednictwem bramy.

license

ApiLicenseInformation

Informacje o licencji dla interfejsu API.

properties.apiType

SoapApiType

Typ interfejsu API do utworzenia.

  • http tworzy interfejs API REST
  • soap tworzy interfejs API przekazujący protokół SOAP
  • websocket tworzy interfejs API protokołu websocket
  • graphql tworzy API GraphQL. Nowe typy można dodawać w przyszłości.
properties.apiVersionSet

ApiVersionSetContractDetails

Szczegóły zestawu wersji

properties.displayName

string

minLength: 1
maxLength: 300

Nazwa interfejsu API. Musi mieć długość od 1 do 300 znaków.

properties.format

ContentFormat

Format zawartości, w której jest importowany interfejs API. Nowe formaty można dodawać w przyszłości

properties.path

string

minLength: 0
maxLength: 400

Względny adres URL jednoznacznie identyfikujący ten interfejs API i wszystkie jego ścieżki zasobów w wystąpieniu usługi API Management. Jest on dołączany do podstawowego adresu URL punktu końcowego interfejsu API określonego podczas tworzenia wystąpienia usługi w celu utworzenia publicznego adresu URL tego interfejsu API.

properties.protocols

Protocol[]

Opisuje, które protokoły mogą być wywoływane operacje w tym interfejsie API.

properties.provisioningState

string

Stan aprowizacji

properties.serviceUrl

string

minLength: 0
maxLength: 2000

Bezwzględny adres URL usługi zaplecza implementowania tego interfejsu API. Długość nie może przekraczać 2000 znaków.

properties.sourceApiId

string

Identyfikator interfejsu API źródłowego interfejsu API.

properties.translateRequiredQueryParameters

TranslateRequiredQueryParametersConduct

Strategia tłumaczenia wymaganych parametrów zapytania na szablony. Domyślnie ma wartość "template". Możliwe wartości: "template", "query"

properties.value

string

Wartość zawartości podczas importowania interfejsu API.

properties.wsdlSelector

ApiCreateOrUpdatePropertiesWsdlSelector

Kryteria ograniczania importu WSDL do podzestawu dokumentu.

subscriptionKeyParameterNames

SubscriptionKeyParameterNamesContract

Protokoły, za pośrednictwem których udostępniono interfejs API.

subscriptionRequired

boolean

Określa, czy do uzyskiwania dostępu do interfejsu API jest wymagana subskrypcja interfejsu API lub produktu.

termsOfServiceUrl

string

Adres URL warunków użytkowania usługi dla interfejsu API. MUSI być w formacie adresu URL.

type

ApiType

Typ interfejsu API.

ApiCreateOrUpdatePropertiesWsdlSelector

Kryteria ograniczania importu WSDL do podzestawu dokumentu.

Nazwa Typ Opis
wsdlEndpointName

string

Nazwa punktu końcowego (portu) do zaimportowania z WSDL

wsdlServiceName

string

Nazwa usługi do zaimportowania z WSDL

ApiLicenseInformation

Informacje o licencji API

Nazwa Typ Opis
name

string

Nazwa licencji używana dla interfejsu API

url

string

Adres URL licencji używanej dla interfejsu API. MUSI być w formacie adresu URL

ApiType

Typ interfejsu API.

Wartość Opis
http
soap
websocket
graphql
odata
grpc

ApiVersionSetContractDetails

Zestaw wersji interfejsu API zawiera wspólną konfigurację zestawu wersji interfejsu API dotyczących

Nazwa Typ Opis
description

string

Opis zestawu wersji interfejsu API.

id

string

Identyfikator istniejącego zestawu wersji interfejsu API. Pomiń tę wartość, aby utworzyć nowy zestaw wersji.

name

string

Wyświetlana nazwa zestawu wersji interfejsu API.

versionHeaderName

string

Nazwa parametru nagłówka HTTP wskazująca wersję interfejsu API, jeśli parametr versioningScheme jest ustawiony na header.

versionQueryName

string

Nazwa parametru zapytania, który wskazuje wersję interfejsu API, jeśli ustawienie versioningScheme ma wartość query.

versioningScheme

VersioningScheme

Wartość określająca, gdzie identyfikator wersji interfejsu API będzie znajdować się w żądaniu HTTP.

AuthenticationSettingsContract

Ustawienia uwierzytelniania API.

Nazwa Typ Opis
oAuth2

OAuth2AuthenticationSettingsContract

Ustawienia uwierzytelniania OAuth2

oAuth2AuthenticationSettings

OAuth2AuthenticationSettingsContract[]

Kolekcja ustawień uwierzytelniania OAuth2 uwzględnionych w tym interfejsie API.

openid

OpenIdAuthenticationSettingsContract

Ustawienia uwierzytelniania OpenID Connect

openidAuthenticationSettings

OpenIdAuthenticationSettingsContract[]

Kolekcja ustawień uwierzytelniania programu Open ID Connect uwzględnionych w tym interfejsie API.

BearerTokenSendingMethods

Formularz udzielenia autoryzacji, którego klient używa do żądania tokenu dostępu.

Wartość Opis
authorizationHeader

Token dostępu zostanie przesłany w nagłówku autoryzacji przy użyciu schematu elementu nośnego

query

Token dostępu zostanie przesłany jako parametry zapytania.

ContentFormat

Format zawartości, w której jest importowany interfejs API. Nowe formaty można dodawać w przyszłości

Wartość Opis
wadl-xml

Zawartość jest wbudowana, a typ zawartości to dokument WADL.

wadl-link-json

Dokument WADL znajduje się pod publicznie dostępnym adresem internetowym.

swagger-json

Zawartość jest wbudowana, a typ zawartości to dokument JSON OpenAPI 2.0.

swagger-link-json

Dokument JSON OpenAPI 2.0 jest hostowany pod publicznie dostępnym adresem internetowym.

wsdl

Zawartość jest wbudowana, a dokument jest dokumentem WSDL/Soap.

wsdl-link

Dokument WSDL jest przechowywany pod publicznie dostępnym adresem internetowym.

openapi

Zawartość jest wbudowana, a typ zawartości to dokument YAML OpenAPI 3.0.

openapi+json

Zawartość jest wbudowana, a typ zawartości to dokument JSON OpenAPI 3.0.

openapi-link

Dokument YAML OpenAPI 3.0 jest hostowany pod publicznie dostępnym adresem internetowym.

openapi+json-link

Dokument JSON OpenAPI 3.0 jest hostowany pod publicznie dostępnym adresem internetowym.

graphql-link

Punkt końcowy interfejsu API GraphQL hostowany pod publicznie dostępnym adresem internetowym.

odata

Zawartość jest wbudowana, a typ zawartości to dokument XML OData.

odata-link

Dokument metadanych OData hostowany pod publicznie dostępnym adresem internetowym.

grpc

Zawartość jest wbudowana, a typ zawartości to plik protobuf gRPC.

grpc-link

Plik protobuf gRPC jest hostowany pod publicznie dostępnym adresem internetowym.

createdByType

Typ tożsamości, która utworzyła zasób.

Wartość Opis
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Dodatkowe informacje o błędzie zarządzania zasobami.

Nazwa Typ Opis
info

object

Dodatkowe informacje.

type

string

Dodatkowy typ informacji.

ErrorDetail

Szczegóły błędu.

Nazwa Typ Opis
additionalInfo

ErrorAdditionalInfo[]

Błąd dodatkowe informacje.

code

string

Kod błędu.

details

ErrorDetail[]

Szczegóły błędu.

message

string

Komunikat o błędzie.

target

string

Wartość docelowa błędu.

ErrorResponse

Odpowiedź na błąd

Nazwa Typ Opis
error

ErrorDetail

Obiekt błędu.

OAuth2AuthenticationSettingsContract

Szczegóły ustawień uwierzytelniania OAuth2 interfejsu API.

Nazwa Typ Opis
authorizationServerId

string

Identyfikator serwera autoryzacji OAuth.

scope

string

zakres operacji.

OpenIdAuthenticationSettingsContract

Szczegóły ustawień uwierzytelniania OAuth2 interfejsu API.

Nazwa Typ Opis
bearerTokenSendingMethods

BearerTokenSendingMethods[]

Jak wysłać token do serwera.

openidProviderId

string

Identyfikator serwera autoryzacji OAuth.

Protocol

Wartość Opis
http
https
ws
wss

SoapApiType

Typ interfejsu API do utworzenia.

  • http tworzy interfejs API REST
  • soap tworzy interfejs API przekazujący protokół SOAP
  • websocket tworzy interfejs API protokołu websocket
  • graphql tworzy API GraphQL. Nowe typy można dodawać w przyszłości.
Wartość Opis
http

Importuje interfejs API protokołu SOAP z frontonem RESTful.

soap

Importuje interfejs API protokołu SOAP z interfejsem interfejsu SOAP.

websocket

Importuje interfejs API z frontonem protokołu Websocket.

graphql

Importuje interfejs API z frontonem GraphQL.

odata

Importuje interfejs API z frontonem OData.

grpc

Importuje interfejs API z frontonem gRPC.

SubscriptionKeyParameterNamesContract

Szczegóły parametrów klucza subskrypcji.

Nazwa Typ Opis
header

string

Nazwa nagłówka klucza subskrypcji.

query

string

Nazwa parametru ciągu zapytania klucza subskrypcji.

systemData

Metadane dotyczące tworzenia i ostatniej modyfikacji zasobu.

Nazwa Typ Opis
createdAt

string (date-time)

Sygnatura czasowa tworzenia zasobu (UTC).

createdBy

string

Tożsamość, która utworzyła zasób.

createdByType

createdByType

Typ tożsamości, która utworzyła zasób.

lastModifiedAt

string (date-time)

Znacznik czasu ostatniej modyfikacji zasobu (UTC)

lastModifiedBy

string

Tożsamość, która ostatnio zmodyfikowała zasób.

lastModifiedByType

createdByType

Typ tożsamości, która ostatnio zmodyfikowała zasób.

TranslateRequiredQueryParametersConduct

Strategia tłumaczenia wymaganych parametrów zapytania na szablony. Domyślnie ma wartość "template". Możliwe wartości: "template", "query"

Wartość Opis
template

Tłumaczy wymagane parametry zapytania na parametry szablonu. Jest wartością domyślną.

query

Pozostawia wymagane parametry zapytania bez zmian (bez tłumaczenia).

VersioningScheme

Wartość określająca, gdzie identyfikator wersji interfejsu API będzie znajdować się w żądaniu HTTP.

Wartość Opis
Segment

Wersja interfejsu API jest przekazywana w segmencie ścieżki.

Query

Wersja interfejsu API jest przekazywana w parametrze zapytania.

Header

Wersja interfejsu API jest przekazywana w nagłówku HTTP.